# 一つの文字列によるキータイピング練習（その１）

import time
import readchar

s = 'How do you do?'    # タイプする文字列
length = len(s)         # 文字列sの文字数

start = time.time()     # 開始時刻

print('このとおりタイプしてください。')
print(s)                # タイプする文字列を表示

for i in range(0, length):
    while True:
        c = chr(ord(readchar.readchar()))

        if c.isprintable():
            print(c, end='', flush=True)
            if c == s[i]:
                break
            else:
                print('\b', end='', flush=True)

end = time.time()       # 終了時刻

elapsed_time = end - start
print(f'\n{elapsed_time:.1f}秒でした。\n')
