# 一つの文字列によるキータイピング練習（その２：打った文字が消えていく）

import time
import readchar

s = 'How do you do?'    # タイプする文字列
length = len(s)         # 文字列sの文字数

start = time.time()     # 開始時刻

print('このとおりタイプしてください。')
for i in range(0, length):
    print(s[i:] + ' \r', end='', flush=True)
    while chr(ord(readchar.readchar())) != s[i]:
        print('\b', end='', flush=True)

end = time.time()       # 終了時刻

elapsed_time = end - start
print(f'\r{elapsed_time:.1f}秒でした。\n')
