# 複数文字列によるキータイピング練習（その１）

import time
import random
import readchar

QNO = 12    # 問題数
s = [
    'book',  'computer', 'default',     'comfort', 'monday', 'power',
    'light', 'music',    'programming', 'dog',     'video',  'include'
]

print('タイピング練習を始めます。')
print('スペースキーで開始します。')
while chr(ord(readchar.readchar())) != ' ':  # スペースキーが押下
    pass                                     # されるまで待つ

start = time.time()     # 開始時刻

for stage in range(0, QNO):
    length = len(s[stage])          # 文字列s[stage]の文字数
    for i in range(0, length):
        print(s[stage][i:], ' \r', end='', flush=True)
        while chr(ord(readchar.readchar())) != s[stage][i]:
            print('\b', end='', flush=True)

end = time.time()       # 終了時刻

elapsed_time = end - start
print(f'\r{elapsed_time:.1f}秒でした。\n')
